/***************************************************************************
                          httphistory.cpp  -  description
                             -------------------
    begin                : Sun Apr 15 2001
    copyright            : (C) 2001 by Bart Symons
    email                : bart.symons@skynet.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "httphistory.h"

//HTTPHistory::HTTPHistory(QObject *parent = 0L, const char *name = 0L):HistoryProvider (parent,name){
HTTPHistory::HTTPHistory(QObject *parent = 0L, const char *name = 0L){
}



HTTPHistory::~HTTPHistory(){
}


void HTTPHistory::insert(const KURL& url)
{
	listPrevious.push(url);
	listNext.clear();
	printPrevious();
	printNext();
}



const KURL	HTTPHistory::getNext(KURL current)
{
	KURL nil;

	if (listNext.isEmpty()) return nil;

	//listPrevious.push(listNext.last());
	listPrevious.push(current);
	return(listNext.pop());
}



const KURL HTTPHistory::getPrev(KURL current)
{
	KURL nil;

	if (listPrevious.isEmpty()) return nil;

	listNext.push(current);
	return(listPrevious.pop());
}


bool HTTPHistory::isPrevEmpty()
{
	return listPrevious.isEmpty();
}


bool HTTPHistory::isNextEmpty()
{
	return listNext.isEmpty();
}



void HTTPHistory::printPrevious() {
	URLList::Iterator it;
	cout << "PREVIOUS" << endl;
  for( it = listPrevious.begin(); it != listPrevious.end(); ++it)
	  cout << "  " << (*it).prettyURL() << endl;
}

void HTTPHistory::printNext() {
	URLList::Iterator it;
 	cout << "NEXT" << endl;
  for( it = listNext.begin(); it != listNext.end(); ++it)
	  cout << "  " << (*it).prettyURL() << endl;
}