/***************************************************************************
                          httphistory.h  -  description
                             -------------------
    begin                : Sun Apr 15 2001
    copyright            : (C) 2001 by Bart Symons
    email                : bart.symons@skynet.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef HTTPHISTORY_H
#define HTTPHISTORY_H

//#ifdef HAVE_CONFIG_H
//#include <config.h>
//#endif


#include <iostream.h>

#include <qvaluestack.h>

#include <kurl.h>
#include <kparts/historyprovider.h>

/**This class keeps track of all the URLs that are clicked by the user.
  *@author Bart Symons
  */


typedef QValueStack<KURL> URLList;

//class HTTPHistory : public KParts::HistoryProvider {
class HTTPHistory {
public:
	HTTPHistory(QObject *parent=0L, const char *name=0L);
	~HTTPHistory();

	void insert(const KURL& url);
	const KURL	getNext(KURL current);
	const KURL	getPrev(KURL current);
	bool isPrevEmpty();
	bool isNextEmpty();

	void printPrevious();
	void printNext();

private:
	URLList listPrevious,listNext;
};

#endif
