/***************************************************************************
                          settings.cpp  -  description
                             -------------------
    begin                : Sun Apr 29 2001
    copyright            : (C) 2001 by Bart Symons
    email                : bart.symons@village.uunet.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "settings.h"

Settings::Settings(QWidget *parent, const char *name, KConfig *config) : BrowserSettings(parent,name,true) {

	configuration=config;
	
	cbJava->setChecked(configuration->readBoolEntry("java"));	// default = false
	cbJavaScript->setChecked(configuration->readBoolEntry("javascript"));	// default = false
	if (configuration->readEntry("protocol","http")=="https")
		urlProtocol->setCurrentItem(1);
	else
			urlProtocol->setCurrentItem(0);
	urlHost->setText(configuration->readEntry("host","localhost"));	// default = "localhost"
	urlPath->setText(configuration->readEntry("path",""));	// default = "localhost"
	urlPort->setValue(configuration->readNumEntry("port",80));	// default=80
}




void Settings::accept() {
	configuration->setGroup("Browser");
	configuration->writeEntry("java",cbJava->isChecked());
	configuration->writeEntry("javascript",cbJavaScript->isChecked());
	if (urlProtocol->currentItem()==0)
		configuration->writeEntry("protocol","http");
	else
		configuration->writeEntry("protocol","https");
	configuration->writeEntry("host",urlHost->text());
	configuration->writeEntry("port",urlPort->value());
	configuration->writeEntry("path",urlPath->text());
	configuration->sync();
	BrowserSettings::accept();
}


//#include "settings.h"
