/***************************************************************************
                          webconfig.cpp  -  description
                             -------------------
    begin                : Mon Aug 13 07:27:04 CEST 2001
    copyright            : (C) 2001 by Psidekick
    email                : psidekick@tiscalinet.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/



#include "webconfig.h"

WebConfig::WebConfig(QWidget *parent, const char *name):KCModule(parent,name)
{
  QBoxLayout *layout = new QVBoxLayout(this,
				       KDialog::marginHint(),
				       KDialog::spacingHint());
	CHECK_PTR(layout);

	plugin = new Plugin(this,name);
	CHECK_PTR(plugin);

	layout->setResizeMode(QLayout::FreeResize);
  layout->addWidget(plugin);

	//newAct = plugin->actionCollection()->action(KStdAction::stdName(KStdAction::open));
	//newAct = KStdAction::openNew(this, SLOT(fontPlus()),actionCollection());
	//CHECK_PTR(newAct);

	setButtons(KCModule::Ok|KCModule::Help);
  load();
}


WebConfig::~WebConfig() {
	delete(plugin);
}


void WebConfig::load() {
// nothing to be done here
// this functionality should be taken care of by the web administration tool
}

void WebConfig::defaults() {
// nothing to be done here
// this functionality should be taken care of by the web administration tool
	emit changed(true);
}

void WebConfig::save() {
	// nothing to be done here
	// this functionality should be taken care of by the web administration tool
	emit changed(true);
}

int WebConfig::buttons () {
        return KCModule::Default|KCModule::Ok|KCModule::Help;
}

void WebConfig::configChanged() {
	// nothing to be done here
	// this functionality should be taken care of by the web administration tool
	emit changed(true);
}

QString WebConfig::quickHelp() const {
	return I18N_NOOP("<h1>WebConfig</h1> \
										WebConfig is a plugin for the KDE Control Center. \
										It embeds a web browser inside the Control Center, permitting easy incorporation of HTML/Java/JavaScript-based administration tools.");
}

const KAboutData* WebConfig::aboutData() {
  about = new KAboutData( "webconfig", I18N_NOOP("WebConfig"),
					    "0.6", I18N_NOOP("WebConfig is a plugin for the KDE Control Center. \
							It embeds a web browser inside the Control Center, permitting easy incorporation of HTML/Java/JavaScript-based administration tools."),
							KAboutData::License_GPL,
					    "(c) 2001, Bart Symons", 0, 0, "bart.symons@skynet.be");
	CHECK_PTR(about);
	return about;
}



// ------------------------------------------------------------------------

extern "C"
{
 	KCModule* create_webconfig(QWidget *parent, const char *name) {
    KGlobal::locale()->insertCatalogue("webconfig");
		QFileInfo modname(getenv("KDE_CONTROL_CENTER_ENV1"));
		cout << "Module Name = " << modname.baseName() << endl;
		cout << "--------------------------------------" << endl;
		return new WebConfig(parent, modname.baseName());
	}
}

#include "webconfig.moc"
