/***************************************************************************
                          webconfig.h  -  description
                             -------------------
    begin                : Mon Aug 13 07:27:04 CEST 2001
    copyright            : (C) 2001 by Bart Symons
    email                : bart.symons@sky.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef WEBCONFIG_H_
#define WEBCONFIG_H_


#include <stdlib.h>


#include <iostream.h>


#include <qfileinfo.h>
#include <qwidget.h>
#include <qgroupbox.h>
#include <qlayout.h>
#include <qbutton.h>


#include <kcmodule.h>
#include <kaboutdata.h>
#include <klocale.h>
#include <kdialog.h>
#include <kmessagebox.h>
#include <kglobal.h>
#include <kaction.h>
#include <kstdaction.h>

#include "plugin.h"

/**
	* @libdoc Generic KDE control panel plugin for web based administration tools
	*
	* This shared library is a plugin for KDE's control panel.
	* The main class in this library is @ref KCWebConfigModule. The GUI is implemented by @ref Plugin.
	*
	* Its purpose is to integrate a wide variety of web based administration tools into a single point of access: the Control Panel.
	* The main filosophy behind the KDE Control Panel is to group and order all local administration into one place.
	* However, many popular Linux applications come with an integrated web based administration tool, i.e. you configure these applications via your browser, even
	*	if the application is running on your local PC. WebConfig is in fact nothing more than an embedded browser that's plugged into the Control Panel
	* framework. This means it is now possible to have a single point of access for ALL your local configuration settings: KControl!
	* Unlike most other Control Panel plugins this one is intended to be plugged in more than once and in several categories (network, information, ...).
  *
	*	The following screenshot demonstrates this idea. The example shows a popular web based administration tool: the web interface to CUPS.
	* It is put under the "network" category in the Control Panel. The main screen is the web interface of CUPS. Notice the familiar browser navigation buttons
	* in the upper toolbar of the main window.
	*
	* @image ./screenshots/cups.png
  */


/**
	* WebConfig is the main framework class for this Control Panel plugine. It loads the GUI (defined in the @ref Plugin class) and initializes the OK and
	* Help buttons.
	*
	*
	* @short This is the main framework class for this Control Panel plugin.
  * @author Psidekick
	* @version 0.8
  */

class WebConfig: public KCModule
{
   Q_OBJECT
   public:
      WebConfig(QWidget *parent = 0L, const char *name = 0L);
      virtual ~WebConfig();

      void load();
      void save();
      void defaults();
      int buttons();
      QString quickHelp() const;
			const KAboutData* aboutData();

		  KAction *newAct;
   public slots:
      void configChanged();

   private:
 			KAboutData*	about;
			Plugin *plugin;
};
#endif
